/*******************************************************************************
 * Copyright (c) 2000, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.custom;

class SashFormData {

    long weight;

String getName () {
    String String = getClass ().getName ();
    int index = String.lastIndexOf ('.');
    if (index is -1) return String;
    return String.substring (index + 1, String.length ());
}

/**
 * Returns a String containing a concise, human-readable
 * description of the receiver.
 *
 * @return a String representation of the event
 */
public String toString () {
    return getName()+" {weight="+weight+"}"; //$NON-NLS-2$
}
}
