/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.internal.cocoa.NSNibOutletConnector;

import dwt.internal.cocoa.NSNibConnector;
import dwt.internal.cocoa.OS;
import objc = dwt.internal.objc.runtime;

public class NSNibOutletConnector : NSNibConnector
{

    public this ()
    {
        super();
    }

    public this (objc.id id)
    {
        super(id);
    }

    public void establishConnection ()
    {
        OS.objc_msgSend(this.id_, OS.sel_establishConnection);
    }

}
